You are not logged in.

#1 2013-03-07 23:06:22

ayr0
Member
Registered: 2010-08-12
Posts: 85

Upgrading python2-pyqt breaks ipython qtconsole

Hi,

I upgraded my machine today.  Among the updates were pyqt and python2-pyqt.  However, after this update, ipython2 qtconsole no longer starts.  Downgrading just python2-pyqt fixes the problem.  There must be something wrong with the way the new python2-pyqt package has been built.

[2013-03-07 10:17] starting full system upgrade
[2013-03-07 10:17] upgraded sip (4.14.3-1 -> 4.14.4-1)
[2013-03-07 10:17] upgraded python-sip (4.14.3-1 -> 4.14.4-1)
[2013-03-07 10:17] upgraded pyqt-common (4.9.6-2 -> 4.10-1)
[2013-03-07 10:17] upgraded pyqt (4.9.6-2 -> 4.10-1)
[2013-03-07 10:17] upgraded python2-sip (4.14.3-1 -> 4.14.4-1)
[2013-03-07 10:17] upgraded python2-pyqt (4.9.6-2 -> 4.10-1)
[2013-03-07 10:17] upgraded qscintilla (2.7-2 -> 2.7.1-1)

Traceback (most recent call last):
  File "/usr/bin/ipython2", line 7, in <module>
    launch_new_instance()
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 388, in launch_new_instance
    app.initialize()
  File "<string>", line 2, in initialize
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 313, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/core/application.py", line 325, in initialize
    self.parse_command_line(argv)
  File "/usr/lib/python2.7/site-packages/IPython/frontend/terminal/ipapp.py", line 308, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 420, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/IPython/config/application.py", line 352, in initialize_subcommand
    subapp = import_item(subapp)
  File "/usr/lib/python2.7/site-packages/IPython/utils/importstring.py", line 40, in import_item
    module = __import__(package,fromlist=[obj])
  File "/usr/lib/python2.7/site-packages/IPython/frontend/qt/console/qtconsoleapp.py", line 56, in <module>
    from IPython.external.qt import QtCore, QtGui
  File "/usr/lib/python2.7/site-packages/IPython/external/qt.py", line 43, in <module>
    raise ImportError('Cannot import PySide >= 1.0.3 or PyQt4 >= 4.7')
ImportError: Cannot import PySide >= 1.0.3 or PyQt4 >= 4.7

I have:
qt4 4.8.4-13

Last edited by ayr0 (2013-03-07 23:11:24)

Offline

#2 2013-03-08 09:17:38

Nabobalis
Member
Registered: 2009-07-25
Posts: 7

Re: Upgrading python2-pyqt breaks ipython qtconsole

I have the same issue, I'm going to see if installing pyside from the AUR is a temporary workaround.

Offline

#3 2013-03-08 09:46:30

davidovitch
Member
From: Copenhagen
Registered: 2011-02-02
Posts: 31
Website

Re: Upgrading python2-pyqt breaks ipython qtconsole

I think this issue is related to a bug in IPython, where the version check fails to recognise that 4.10 > 4.7. This fail because the version is compared as strings and not as numbers, hence '4.10'<'4.7'. It has been reported and fixed upstream. See here: https://github.com/ipython/ipython/pull/2831, and corresponding pull request: https://github.com/ipython/ipython/comm … ba0da2c293

EDIT: replacing both ipython and iptyhon2 with ipython-git does the trick for me.

Last edited by davidovitch (2013-03-08 09:59:50)

Offline

#4 2013-03-08 10:10:14

Nabobalis
Member
Registered: 2009-07-25
Posts: 7

Re: Upgrading python2-pyqt breaks ipython qtconsole

davidovitch wrote:

I think this issue is related to a bug in IPython, where the version check fails to recognise that 4.10 > 4.7. This fail because the version is compared as strings and not as numbers, hence '4.10'<'4.7'. It has been reported and fixed upstream. See here: https://github.com/ipython/ipython/pull/2831, and corresponding pull request: https://github.com/ipython/ipython/comm … ba0da2c293

EDIT: replacing both ipython and iptyhon2 with ipython-git does the trick for me.

That solution worked for me.

Offline

Board footer

Powered by FluxBB